## ffmpeg 2.8.6

=== Makefile ===
MAIN_MAKEFILE=1
include config.mak

vpath %.c    $(SRC_PATH)
vpath %.cpp  $(SRC_PATH)
vpath %.h    $(SRC_PATH)
vpath %.m    $(SRC_PATH)
vpath %.S    $(SRC_PATH)
vpath %.asm  $(SRC_PATH)
vpath %.rc   $(SRC_PATH)
vpath %.v    $(SRC_PATH)
vpath %.texi $(SRC_PATH)
vpath %/fate_config.sh.template $(SRC_PATH)

AVPROGS-$(CONFIG_FFMPEG)   += ffmpeg
AVPROGS-$(CONFIG_FFPLAY)   += ffplay
AVPROGS-$(CONFIG_FFPROBE)  += ffprobe
AVPROGS-$(CONFIG_FFSERVER) += ffserver

AVPROGS    := $(AVPROGS-yes:%=%$(PROGSSUF)$(EXESUF))
INSTPROGS   = $(AVPROGS-yes:%=%$(PROGSSUF)$(EXESUF))
PROGS      += $(AVPROGS)

AVBASENAMES  = ffmpeg ffplay ffprobe ffserver
ALLAVPROGS   = $(AVBASENAMES:%=%$(PROGSSUF)$(EXESUF))
ALLAVPROGS_G = $(AVBASENAMES:%=%$(PROGSSUF)_g$(EXESUF))

$(foreach prog,$(AVBASENAMES),$(eval OBJS-$(prog) += cmdutils.o))
$(foreach prog,$(AVBASENAMES),$(eval OBJS-$(prog)-$(CONFIG_OPENCL) += cmdutils_opencl.o))

OBJS-ffmpeg                   += ffmpeg_opt.o ffmpeg_filter.o
OBJS-ffmpeg-$(HAVE_VDPAU_X11) += ffmpeg_vdpau.o
OBJS-ffmpeg-$(HAVE_DXVA2_LIB) += ffmpeg_dxva2.o
ifndef CONFIG_VIDEOTOOLBOX
OBJS-ffmpeg-$(CONFIG_VDA)     += ffmpeg_videotoolbox.o
endif
OBJS-ffmpeg-$(CONFIG_VIDEOTOOLBOX) += ffmpeg_videotoolbox.o
OBJS-ffserver                 += ffserver_config.o

TESTTOOLS   = audiogen videogen rotozoom tiny_psnr tiny_ssim base64
HOSTPROGS  := $(TESTTOOLS:%=tests/%) doc/print_options
TOOLS       = qt-faststart trasher uncoded_frame
TOOLS-$(CONFIG_ZLIB) += cws2fws

# $(FFLIBS-yes) needs to be in linking order
FFLIBS-$(CONFIG_AVDEVICE)   += avdevice
FFLIBS-$(CONFIG_AVFILTER)   += avfilter
FFLIBS-$(CONFIG_AVFORMAT)   += avformat
FFLIBS-$(CONFIG_AVCODEC)    += avcodec
FFLIBS-$(CONFIG_AVRESAMPLE) += avresample
FFLIBS-$(CONFIG_POSTPROC)   += postproc
FFLIBS-$(CONFIG_SWRESAMPLE) += swresample
FFLIBS-$(CONFIG_SWSCALE)    += swscale

FFLIBS := avutil

DATA_FILES := $(wildcard $(SRC_PATH)/presets/*.ffpreset) $(SRC_PATH)/doc/ffprobe.xsd
EXAMPLES_FILES := $(wildcard $(SRC_PATH)/doc/examples/*.c) $(SRC_PATH)/doc/examples/Makefile $(SRC_PATH)/doc/examples/README

SKIPHEADERS = cmdutils_common_opts.h compat/w32pthreads.h

include $(SRC_PATH)/common.mak

FF_EXTRALIBS := $(FFEXTRALIBS)
FF_DEP_LIBS  := $(DEP_LIBS)
FF_STATIC_DEP_LIBS := $(STATIC_DEP_LIBS)

all: $(AVPROGS)

$(TOOLS): %$(EXESUF): %.o $(EXEOBJS)
	$(LD) $(LDFLAGS) $(LDEXEFLAGS) $(LD_O) $^ $(ELIBS)

tools/cws2fws$(EXESUF): ELIBS = $(ZLIB)
tools/uncoded_frame$(EXESUF): $(FF_DEP_LIBS)
tools/uncoded_frame$(EXESUF): ELIBS = $(FF_EXTRALIBS)

config.h: .config
.config: $(wildcard $(FFLIBS:%=$(SRC_PATH)/lib%/all*.c))
	@-tput bold 2>/dev/null
	@-printf '\nWARNING: $(?F) newer than config.h, rerun configure\n\n'
	@-tput sgr0 2>/dev/null

SUBDIR_VARS := CLEANFILES EXAMPLES FFLIBS HOSTPROGS TESTPROGS TOOLS      \
               HEADERS ARCH_HEADERS BUILT_HEADERS SKIPHEADERS            \
               ARMV5TE-OBJS ARMV6-OBJS ARMV8-OBJS VFP-OBJS NEON-OBJS     \
               ALTIVEC-OBJS MMX-OBJS YASM-OBJS                           \
               MIPSFPU-OBJS MIPSDSPR2-OBJS MIPSDSPR1-OBJS MSA-OBJS       \
               MMI-OBJS OBJS SLIBOBJS HOSTOBJS TESTOBJS

define RESET
$(1) :=
$(1)-yes :=
endef

define DOSUBDIR
$(foreach V,$(SUBDIR_VARS),$(eval $(call RESET,$(V))))
SUBDIR := $(1)/
include $(SRC_PATH)/$(1)/Makefile
-include $(SRC_PATH)/$(1)/$(ARCH)/Makefile
-include $(SRC_PATH)/$(1)/$(INTRINSICS)/Makefile
include $(SRC_PATH)/library.mak
endef

$(foreach D,$(FFLIBS),$(eval $(call DOSUBDIR,lib$(D))))

include $(SRC_PATH)/doc/Makefile

define DOPROG
OBJS-$(1) += $(1).o $(EXEOBJS) $(OBJS-$(1)-yes)
$(1)$(PROGSSUF)_g$(EXESUF): $$(OBJS-$(1))
$$(OBJS-$(1)): CFLAGS  += $(CFLAGS-$(1))
$(1)$(PROGSSUF)_g$(EXESUF): LDFLAGS += $(LDFLAGS-$(1))
$(1)$(PROGSSUF)_g$(EXESUF): FF_EXTRALIBS += $(LIBS-$(1))
-include $$(OBJS-$(1):.o=.d)
endef

$(foreach P,$(PROGS),$(eval $(call DOPROG,$(P:$(PROGSSUF)$(EXESUF)=))))

ffprobe.o cmdutils.o libavcodec/utils.o libavformat/utils.o libavdevice/avdevice.o libavfilter/avfilter.o libavutil/utils.o libpostproc/postprocess.o libswresample/swresample.o libswscale/utils.o : libavutil/ffversion.h

$(PROGS): %$(PROGSSUF)$(EXESUF): %$(PROGSSUF)_g$(EXESUF)
	$(CP) $< $@
	$(STRIP) $@

%$(PROGSSUF)_g$(EXESUF): %.o $(FF_DEP_LIBS)
	$(LD) $(LDFLAGS) $(LDEXEFLAGS) $(LD_O) $(OBJS-$*) $(FF_EXTRALIBS)

OBJDIRS += tools

-include $(wildcard tools/*.d)

VERSION_SH  = $(SRC_PATH)/version.sh
GIT_LOG     = $(SRC_PATH)/.git/logs/HEAD

.version: $(wildcard $(GIT_LOG)) $(VERSION_SH) config.mak
.version: M=@

libavutil/ffversion.h .version:
	$(M)$(VERSION_SH) $(SRC_PATH) libavutil/ffversion.h $(EXTRA_VERSION)
	$(Q)touch .version

# force version.sh to run whenever version might have changed
-include .version

ifdef AVPROGS
install: install-progs install-data
endif

install: install-libs install-headers

install-libs: install-libs-yes

install-progs-yes:
install-progs-$(CONFIG_SHARED): install-libs

install-progs: install-progs-yes $(AVPROGS)
	$(Q)mkdir -p "$(BINDIR)"
	$(INSTALL) -c -m 755 $(INSTPROGS) "$(BINDIR)"

install-data: $(DATA_FILES) $(EXAMPLES_FILES)
	$(Q)mkdir -p "$(DATADIR)/examples"
	$(INSTALL) -m 644 $(DATA_FILES) "$(DATADIR)"
	$(INSTALL) -m 644 $(EXAMPLES_FILES) "$(DATADIR)/examples"

uninstall: uninstall-libs uninstall-headers uninstall-progs uninstall-data

uninstall-progs:
	$(RM) $(addprefix "$(BINDIR)/", $(ALLAVPROGS))

uninstall-data:
	$(RM) -r "$(DATADIR)"

clean::
	$(RM) $(ALLAVPROGS) $(ALLAVPROGS_G)
	$(RM) $(CLEANSUFFIXES)
	$(RM) $(CLEANSUFFIXES:%=tools/%)
	$(RM) -r coverage-html
	$(RM) -rf coverage.info lcov

distclean::
	$(RM) $(DISTCLEANSUFFIXES)
	$(RM) config.* .config libavutil/avconfig.h .version avversion.h version.h libavutil/ffversion.h libavcodec/codec_names.h

config:
	$(SRC_PATH)/configure $(value FFMPEG_CONFIGURATION)

check: all alltools examples testprogs fate

include $(SRC_PATH)/tests/Makefile

$(sort $(OBJDIRS)):
	$(Q)mkdir -p $@

# Dummy rule to stop make trying to rebuild removed or renamed headers
%.h:
	@:

# Disable suffix rules.  Most of the builtin rules are suffix rules,
# so this saves some time on slow systems.
.SUFFIXES:

.PHONY: all all-yes alltools check *clean config install*
.PHONY: testprogs uninstall*

=== libavdevice/Makefile ===
include $(SUBDIR)../config.mak

NAME    = avdevice

HEADERS = avdevice.h                                                    \
          version.h                                                     \

OBJS    = alldevices.o                                                  \
          avdevice.o                                                    \
          utils.o                                                       \

# input/output devices
OBJS-$(CONFIG_ALSA_INDEV)                += alsa_dec.o alsa.o timefilter.o
OBJS-$(CONFIG_ALSA_OUTDEV)               += alsa_enc.o alsa.o
OBJS-$(CONFIG_AVFOUNDATION_INDEV)        += avfoundation.o
OBJS-$(CONFIG_BKTR_INDEV)                += bktr.o
OBJS-$(CONFIG_CACA_OUTDEV)               += caca.o
OBJS-$(CONFIG_DECKLINK_OUTDEV)           += decklink_enc.o decklink_enc_c.o decklink_common.o
OBJS-$(CONFIG_DECKLINK_INDEV)            += decklink_dec.o decklink_dec_c.o decklink_common.o
OBJS-$(CONFIG_DSHOW_INDEV)               += dshow_crossbar.o dshow.o dshow_enummediatypes.o \
                                            dshow_enumpins.o dshow_filter.o \
                                            dshow_pin.o dshow_common.o
OBJS-$(CONFIG_DV1394_INDEV)              += dv1394.o
OBJS-$(CONFIG_FBDEV_INDEV)               += fbdev_dec.o \
                                            fbdev_common.o
OBJS-$(CONFIG_FBDEV_OUTDEV)              += fbdev_enc.o \
                                            fbdev_common.o
OBJS-$(CONFIG_GDIGRAB_INDEV)             += gdigrab.o
OBJS-$(CONFIG_IEC61883_INDEV)            += iec61883.o
OBJS-$(CONFIG_JACK_INDEV)                += jack.o timefilter.o
OBJS-$(CONFIG_LAVFI_INDEV)               += lavfi.o
OBJS-$(CONFIG_OPENAL_INDEV)              += openal-dec.o
OBJS-$(CONFIG_OPENGL_OUTDEV)             += opengl_enc.o
OBJS-$(CONFIG_OSS_INDEV)                 += oss_dec.o oss.o
OBJS-$(CONFIG_OSS_OUTDEV)                += oss_enc.o oss.o
OBJS-$(CONFIG_PULSE_INDEV)               += pulse_audio_dec.o \
                                            pulse_audio_common.o timefilter.o
OBJS-$(CONFIG_PULSE_OUTDEV)              += pulse_audio_enc.o \
                                            pulse_audio_common.o
OBJS-$(CONFIG_QTKIT_INDEV)               += qtkit.o
OBJS-$(CONFIG_SDL_OUTDEV)                += sdl.o
OBJS-$(CONFIG_SNDIO_INDEV)               += sndio_dec.o sndio.o
OBJS-$(CONFIG_SNDIO_OUTDEV)              += sndio_enc.o sndio.o
OBJS-$(CONFIG_V4L2_INDEV)                += v4l2.o v4l2-common.o timefilter.o
OBJS-$(CONFIG_V4L2_OUTDEV)               += v4l2enc.o v4l2-common.o
OBJS-$(CONFIG_V4L_INDEV)                 += v4l.o
OBJS-$(CONFIG_VFWCAP_INDEV)              += vfwcap.o
OBJS-$(CONFIG_X11GRAB_INDEV)             += x11grab.o
OBJS-$(CONFIG_X11GRAB_XCB_INDEV)         += xcbgrab.o
OBJS-$(CONFIG_XV_OUTDEV)                 += xv.o

# external libraries
OBJS-$(CONFIG_LIBCDIO_INDEV)             += libcdio.o
OBJS-$(CONFIG_LIBDC1394_INDEV)           += libdc1394.o

OBJS-$(HAVE_LIBC_MSVCRT)                 += file_open.o

# Windows resource file
SLIBOBJS-$(HAVE_GNU_WINDRES)             += avdeviceres.o

SKIPHEADERS-$(CONFIG_DECKLINK)           += decklink_enc.h decklink_dec.h \
                                            decklink_common.h decklink_common_c.h
SKIPHEADERS-$(CONFIG_DSHOW_INDEV)        += dshow_capture.h
SKIPHEADERS-$(CONFIG_FBDEV_INDEV)        += fbdev_common.h
SKIPHEADERS-$(CONFIG_FBDEV_OUTDEV)       += fbdev_common.h
SKIPHEADERS-$(CONFIG_LIBPULSE)           += pulse_audio_common.h
SKIPHEADERS-$(CONFIG_V4L2_INDEV)         += v4l2-common.h
SKIPHEADERS-$(CONFIG_V4L2_OUTDEV)        += v4l2-common.h
SKIPHEADERS-$(HAVE_ALSA_ASOUNDLIB_H)     += alsa.h
SKIPHEADERS-$(HAVE_SNDIO_H)              += sndio.h

TESTPROGS = timefilter

=== libavcodec/x86/Makefile ===
OBJS                                   += x86/constants.o               \

# subsystems
OBJS-$(CONFIG_AC3DSP)                  += x86/ac3dsp_init.o
OBJS-$(CONFIG_AUDIODSP)                += x86/audiodsp_init.o
OBJS-$(CONFIG_BLOCKDSP)                += x86/blockdsp_init.o
OBJS-$(CONFIG_BSWAPDSP)                += x86/bswapdsp_init.o
OBJS-$(CONFIG_DCT)                     += x86/dct_init.o
OBJS-$(CONFIG_FDCTDSP)                 += x86/fdctdsp_init.o
OBJS-$(CONFIG_FFT)                     += x86/fft_init.o
OBJS-$(CONFIG_FLAC_DECODER)            += x86/flacdsp_init.o
OBJS-$(CONFIG_FLAC_ENCODER)            += x86/flacdsp_init.o
OBJS-$(CONFIG_FMTCONVERT)              += x86/fmtconvert_init.o
OBJS-$(CONFIG_H263DSP)                 += x86/h263dsp_init.o
OBJS-$(CONFIG_H264CHROMA)              += x86/h264chroma_init.o
OBJS-$(CONFIG_H264DSP)                 += x86/h264dsp_init.o
OBJS-$(CONFIG_H264PRED)                += x86/h264_intrapred_init.o
OBJS-$(CONFIG_H264QPEL)                += x86/h264_qpel.o
OBJS-$(CONFIG_HPELDSP)                 += x86/hpeldsp_init.o
OBJS-$(CONFIG_LLAUDDSP)                += x86/lossless_audiodsp_init.o
OBJS-$(CONFIG_LLVIDDSP)                += x86/lossless_videodsp_init.o
OBJS-$(CONFIG_HUFFYUVDSP)              += x86/huffyuvdsp_init.o
OBJS-$(CONFIG_HUFFYUVENCDSP)           += x86/huffyuvencdsp_mmx.o
OBJS-$(CONFIG_IDCTDSP)                 += x86/idctdsp_init.o
OBJS-$(CONFIG_LPC)                     += x86/lpc.o
OBJS-$(CONFIG_ME_CMP)                  += x86/me_cmp_init.o
OBJS-$(CONFIG_MPEGAUDIODSP)            += x86/mpegaudiodsp.o
OBJS-$(CONFIG_MPEGVIDEO)               += x86/mpegvideo.o              \
                                          x86/mpegvideodsp.o
OBJS-$(CONFIG_MPEGVIDEOENC)            += x86/mpegvideoenc.o           \
                                          x86/mpegvideoencdsp_init.o
OBJS-$(CONFIG_PIXBLOCKDSP)             += x86/pixblockdsp_init.o
OBJS-$(CONFIG_QPELDSP)                 += x86/qpeldsp_init.o
OBJS-$(CONFIG_RV34DSP)                 += x86/rv34dsp_init.o
OBJS-$(CONFIG_VIDEODSP)                += x86/videodsp_init.o
OBJS-$(CONFIG_VP3DSP)                  += x86/vp3dsp_init.o
OBJS-$(CONFIG_VP8DSP)                  += x86/vp8dsp_init.o
OBJS-$(CONFIG_XMM_CLOBBER_TEST)        += x86/w64xmmtest.o

# decoders/encoders
OBJS-$(CONFIG_AAC_DECODER)             += x86/aacpsdsp_init.o          \
                                          x86/sbrdsp_init.o
OBJS-$(CONFIG_ADPCM_G722_DECODER)      += x86/g722dsp_init.o
OBJS-$(CONFIG_ADPCM_G722_ENCODER)      += x86/g722dsp_init.o
OBJS-$(CONFIG_APNG_DECODER)            += x86/pngdsp_init.o
OBJS-$(CONFIG_CAVS_DECODER)            += x86/cavsdsp.o
OBJS-$(CONFIG_DCA_DECODER)             += x86/dcadsp_init.o
OBJS-$(CONFIG_DNXHD_ENCODER)           += x86/dnxhdenc_init.o
OBJS-$(CONFIG_HEVC_DECODER)            += x86/hevcdsp_init.o
OBJS-$(CONFIG_JPEG2000_DECODER)        += x86/jpeg2000dsp_init.o
OBJS-$(CONFIG_MLP_DECODER)             += x86/mlpdsp_init.o
OBJS-$(CONFIG_MPEG4_DECODER)           += x86/xvididct_init.o
OBJS-$(CONFIG_PNG_DECODER)             += x86/pngdsp_init.o
OBJS-$(CONFIG_PRORES_DECODER)          += x86/proresdsp_init.o
OBJS-$(CONFIG_PRORES_LGPL_DECODER)     += x86/proresdsp_init.o
OBJS-$(CONFIG_RV40_DECODER)            += x86/rv40dsp_init.o
OBJS-$(CONFIG_SVQ1_ENCODER)            += x86/svq1enc_init.o
OBJS-$(CONFIG_TRUEHD_DECODER)          += x86/mlpdsp_init.o
OBJS-$(CONFIG_TTA_DECODER)             += x86/ttadsp_init.o
OBJS-$(CONFIG_V210_DECODER)            += x86/v210-init.o
OBJS-$(CONFIG_V210_ENCODER)            += x86/v210enc_init.o
OBJS-$(CONFIG_VC1_DECODER)             += x86/vc1dsp_init.o
OBJS-$(CONFIG_VORBIS_DECODER)          += x86/vorbisdsp_init.o
OBJS-$(CONFIG_VP6_DECODER)             += x86/vp6dsp_init.o
OBJS-$(CONFIG_VP9_DECODER)             += x86/vp9dsp_init.o
OBJS-$(CONFIG_WEBP_DECODER)            += x86/vp8dsp_init.o


# GCC inline assembly optimizations
# subsystems
MMX-OBJS-$(CONFIG_DIRAC_DECODER)       += x86/dirac_dwt.o
MMX-OBJS-$(CONFIG_FDCTDSP)             += x86/fdct.o
MMX-OBJS-$(CONFIG_IDCTDSP)             += x86/simple_idct.o

# decoders/encoders
MMX-OBJS-$(CONFIG_SNOW_DECODER)        += x86/snowdsp.o
MMX-OBJS-$(CONFIG_SNOW_ENCODER)        += x86/snowdsp.o
MMX-OBJS-$(CONFIG_VC1_DECODER)         += x86/vc1dsp_mmx.o


# YASM optimizations
YASM-OBJS                              += x86/deinterlace.o             \

# subsystems
YASM-OBJS-$(CONFIG_AC3DSP)             += x86/ac3dsp.o
YASM-OBJS-$(CONFIG_AUDIODSP)           += x86/audiodsp.o
YASM-OBJS-$(CONFIG_BLOCKDSP)           += x86/blockdsp.o
YASM-OBJS-$(CONFIG_BSWAPDSP)           += x86/bswapdsp.o
YASM-OBJS-$(CONFIG_DCT)                += x86/dct32.o
YASM-OBJS-$(CONFIG_DIRAC_DECODER)      += x86/diracdsp_mmx.o x86/diracdsp_yasm.o\
                                          x86/dwt_yasm.o
YASM-OBJS-$(CONFIG_DNXHD_ENCODER)      += x86/dnxhdenc.o
YASM-OBJS-$(CONFIG_FFT)                += x86/fft.o
YASM-OBJS-$(CONFIG_FLAC_DECODER)       += x86/flacdsp.o
ifdef CONFIG_GPL
YASM-OBJS-$(CONFIG_FLAC_ENCODER)       += x86/flac_dsp_gpl.o
endif
YASM-OBJS-$(CONFIG_FMTCONVERT)         += x86/fmtconvert.o
YASM-OBJS-$(CONFIG_H263DSP)            += x86/h263_loopfilter.o
YASM-OBJS-$(CONFIG_H264CHROMA)         += x86/h264_chromamc.o           \
                                          x86/h264_chromamc_10bit.o
YASM-OBJS-$(CONFIG_H264DSP)            += x86/h264_deblock.o            \
                                          x86/h264_deblock_10bit.o      \
                                          x86/h264_idct.o               \
                                          x86/h264_idct_10bit.o         \
                                          x86/h264_weight.o             \
                                          x86/h264_weight_10bit.o
YASM-OBJS-$(CONFIG_H264PRED)           += x86/h264_intrapred.o          \
                                          x86/h264_intrapred_10bit.o
YASM-OBJS-$(CONFIG_H264QPEL)           += x86/h264_qpel_8bit.o          \
                                          x86/h264_qpel_10bit.o         \
                                          x86/fpel.o                    \
                                          x86/qpel.o
YASM-OBJS-$(CONFIG_HPELDSP)            += x86/fpel.o                    \
                                          x86/hpeldsp.o
YASM-OBJS-$(CONFIG_HUFFYUVDSP)         += x86/huffyuvdsp.o
YASM-OBJS-$(CONFIG_IDCTDSP)            += x86/idctdsp.o
YASM-OBJS-$(CONFIG_LLAUDDSP)           += x86/lossless_audiodsp.o
YASM-OBJS-$(CONFIG_LLVIDDSP)           += x86/lossless_videodsp.o
YASM-OBJS-$(CONFIG_ME_CMP)             += x86/me_cmp.o
YASM-OBJS-$(CONFIG_MPEGAUDIODSP)       += x86/imdct36.o
YASM-OBJS-$(CONFIG_MPEGVIDEOENC)       += x86/mpegvideoencdsp.o
YASM-OBJS-$(CONFIG_PIXBLOCKDSP)        += x86/pixblockdsp.o
YASM-OBJS-$(CONFIG_QPELDSP)            += x86/qpeldsp.o                 \
                                          x86/fpel.o                    \
                                          x86/qpel.o
YASM-OBJS-$(CONFIG_RV34DSP)            += x86/rv34dsp.o
YASM-OBJS-$(CONFIG_VIDEODSP)           += x86/videodsp.o
YASM-OBJS-$(CONFIG_VP3DSP)             += x86/vp3dsp.o
YASM-OBJS-$(CONFIG_VP8DSP)             += x86/vp8dsp.o                  \
                                          x86/vp8dsp_loopfilter.o

# decoders/encoders
YASM-OBJS-$(CONFIG_AAC_DECODER)        += x86/aacpsdsp.o                \
                                          x86/sbrdsp.o
YASM-OBJS-$(CONFIG_ADPCM_G722_DECODER) += x86/g722dsp.o
YASM-OBJS-$(CONFIG_ADPCM_G722_ENCODER) += x86/g722dsp.o
YASM-OBJS-$(CONFIG_APNG_DECODER)       += x86/pngdsp.o
YASM-OBJS-$(CONFIG_DCA_DECODER)        += x86/dcadsp.o
YASM-OBJS-$(CONFIG_HEVC_DECODER)       += x86/hevc_mc.o                 \
                                          x86/hevc_deblock.o            \
                                          x86/hevc_idct.o               \
                                          x86/hevc_res_add.o            \
                                          x86/hevc_sao.o
YASM-OBJS-$(CONFIG_JPEG2000_DECODER)   += x86/jpeg2000dsp.o
YASM-OBJS-$(CONFIG_MLP_DECODER)        += x86/mlpdsp.o
YASM-OBJS-$(CONFIG_MPEG4_DECODER)      += x86/xvididct.o
YASM-OBJS-$(CONFIG_PNG_DECODER)        += x86/pngdsp.o
YASM-OBJS-$(CONFIG_PRORES_DECODER)     += x86/proresdsp.o
YASM-OBJS-$(CONFIG_PRORES_LGPL_DECODER) += x86/proresdsp.o
YASM-OBJS-$(CONFIG_RV40_DECODER)       += x86/rv40dsp.o
YASM-OBJS-$(CONFIG_SVQ1_ENCODER)       += x86/svq1enc.o
YASM-OBJS-$(CONFIG_TRUEHD_DECODER)     += x86/mlpdsp.o
YASM-OBJS-$(CONFIG_TTA_DECODER)        += x86/ttadsp.o
YASM-OBJS-$(CONFIG_V210_ENCODER)       += x86/v210enc.o
YASM-OBJS-$(CONFIG_V210_DECODER)       += x86/v210.o
YASM-OBJS-$(CONFIG_VC1_DECODER)        += x86/vc1dsp.o
YASM-OBJS-$(CONFIG_VORBIS_DECODER)     += x86/vorbisdsp.o
YASM-OBJS-$(CONFIG_VP6_DECODER)        += x86/vp6dsp.o
YASM-OBJS-$(CONFIG_VP9_DECODER)        += x86/vp9intrapred.o            \
                                          x86/vp9itxfm.o                \
                                          x86/vp9lpf.o                  \
                                          x86/vp9mc.o
YASM-OBJS-$(CONFIG_WEBP_DECODER)       += x86/vp8dsp.o

=== debian/changelog ===
ffmpeg (7:2.8.6-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sat, 06 Feb 2016 19:06:35 -0800

ffmpeg (7:2.8.6-1) unstable; urgency=medium

  * Import new upstream bugfix release 2.8.6.
  * Update Standards-Version to 3.9.7.
     - Move documentatation from /u/s/d/ffmpeg-doc/ to /u/s/d/ffmpeg/.
  * Use https for the Vcs-Git link.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Tue, 02 Feb 2016 23:46:23 +0100

ffmpeg (7:2.8.5-1) unstable; urgency=medium

  * Import new upstream bugfix release 2.8.5.
     - Fixes CVE-2016-1897 and CVE-2016-1898.
  * Update doc-make-apidoc-output-independent-of-SRC_PATH.patch.
  * Add patch to make out-of-tree builds bit-identical to in-tree-builds.
  * Enable the now available opencv and frei0r on mips64el.
  * Fix altivec-extra compile time optimization.
  * Update copyright year for the debian files.
  * Change priority of libavcodec*-extra* to extra.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Fri, 15 Jan 2016 20:23:56 +0100ffmpeg (7:2.8.5-0mx150+1) mx; urgency=medium

  * New upstream bugfix release, rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Fri, 15 Jan 2016 15:20:44 -0800

ffmpeg (7:2.8.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 07 Jan 2016 23:04:25 +0100

ffmpeg (7:2.8.4-1) unstable; urgency=medium

  * Import new upstream bugfix release 2.8.4.
  * Change section of libavcodec-extra from libs to metapackages.
  * Re-enable libsoxr as glibc bug #793641 is now fixed in testing.
  * Add patch to make apidoc output independent of SRC_PATH.
  * Also build standard flavor in a subdirectory. (Closes: #804284)

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sun, 20 Dec 2015 23:12:56 +0100

=== debian/control ===
Source: ffmpeg
Section: video
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>,
 Alexander Strasser <eclipse7@gmx.net>,
 Reinhard Tartler <siretart@tauware.de>,
 Balint Reczey <balint@balintreczey.hu>
Homepage: https://ffmpeg.org/
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/ffmpeg.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/ffmpeg.git
Build-Depends-Indep:
# needed to minify the CSS files
 cleancss,
# Autogenerated documentation
 doxygen,
# needed to create the CSS files for the HTML manuals
 node-less
Build-Depends:
# needed for dh
 debhelper (>= 9.20141010),
# for build-profile support
 dpkg-dev (>= 1.17.14),
# --enable-libflite
 flite1-dev,
# --enable-frei0r
 frei0r-plugins-dev,
# --enable-ladspa
 ladspa-sdk,
# --enable-libass
 libass-dev,
# --enable-libbluray
 libbluray-dev,
# --enable-libbs2b
 libbs2b-dev,
# autodetected: external library 'bzlib'
 libbz2-dev,
# --enable-libcaca
 libcaca-dev,
# --enable-libcdio
 libcdio-paranoia-dev,
# autodetected 'crystalhd'
 libcrystalhd-dev [amd64 i386],
# --enable-libdc1394
 libdc1394-22-dev [linux-any],
# --enable-libfontconfig
 libfontconfig1-dev,
# --enable-libfreetype
 libfreetype6-dev,
# --enable-fribidi
 libfribidi-dev,
# --enable-opengl
 libgl1-mesa-dev,
# --enable-libgme
 libgme-dev,
# --enable-gnutls
 libgnutls28-dev | libgnutls-dev,
# --enable-libgsm
 libgsm1-dev,
# Fails to be detected by configure script, if not also libavc1394-dev is installed.
# --enable-libiec61883
 libiec61883-dev [linux-any],
 libavc1394-dev [linux-any],
# autodetected: indev 'jack'
 libjack-jackd2-dev,
# autodetected for the tiff decoder
 liblzma-dev,
# --enable-libmodplug
 libmodplug-dev,
# --enable-libmp3lame
 libmp3lame-dev,
# --enable-openal
 libopenal-dev,
# --enable-libopencore_amrnb
 libopencore-amrnb-dev,
# --enable-libopencore_amrwb
 libopencore-amrwb-dev,
# --enable-libopencv
 libopencv-dev [!sh4 !sparc64],
# --enable-libopenjpeg
 libopenjpeg-dev,
# --enable-libopus
 libopus-dev,
# Disabled, as it might produce problems.
# # --enable-libquvi
# libquvi-dev,
# --enable-libpulse
 libpulse-dev,
# --enable-librtmp
 librtmp-dev,
# --enable-libschroedinger
 libschroedinger-dev,
# autodetected: protocol 'sctp'
 libsctp-dev [linux-any],
# autodetected: SDL support
 libsdl-dev,
# --enable-libshine
 libshine-dev (>= 3.0.0),
# --enable-libsnappy
 libsnappy-dev,
# --enable-libsoxr
 libsoxr-dev,
# --enable-libspeex
 libspeex-dev,
# --enable-libssh
 libssh-gcrypt-dev,
# --enable-libtheora
 libtheora-dev,
# --enable-libtwolame
 libtwolame-dev,
# This is not necessary, see explanation in debian/rules.
# # --enable-libv4l2
# libv4l-dev [!hurd-any],
# autodetected: hwaccels 'h263_vaapi, mpeg2_vaapi, vc1_vaapi, h264_vaapi, mpeg4_vaapi, wmv3_vaapi'
 libva-dev [!hurd-any],
# autodetected: hwaccels 'h263_vdpau, mpeg2_vdpau, vc1_vdpau, h264_vdpau, mpeg4_vdpau, wmv3_vdpau, mpeg1_vdpau', decoders 'h264_vdpau, mpeg1_vdpau, mpeg4_vdpau, mpeg_vdpau, vc1_vdpau, wmv3_vdpau'
 libvdpau-dev,
# --enable-libvo_aacenc
 libvo-aacenc-dev,
# --enable-libvo_amrwbenc
 libvo-amrwbenc-dev,
# --enable-libvorbis
 libvorbis-dev,
# --enable-libvpx
 libvpx-dev,
# --enable-libwavpack
 libwavpack-dev,
# --enable-libwebp
 libwebp-dev,
# --enable-libx264
 libx264-dev [!sparc64],
# --enable-libx265
 libx265-dev,
# --enable-x11grab
 libxext-dev,
# --enable-libxvid
 libxvidcore-dev,
# autodetected: decoder 'mpeg_xvmc'; outdev 'xv'
 libxvmc-dev,
# --enable-libzmq
 libzmq3-dev [!hurd-any],
# --enable-libzvbi
 libzvbi-dev,
# The opencl API is considered experimental.
# # --enable-opencl
# ocl-icd-opencl-dev [!hurd-any] | opencl-dev [!hurd-any],
# used to detect libraries
 pkg-config,
# HTML documentation
 texinfo,
# assembler optimizations
 yasm

Package: ffmpeg
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 ffmpeg-doc
Breaks: libav-tools (<< 6:12~~),
 qt-faststart (<< 7:2.7.1-3~)
Replaces: libav-tools (<< 6:12~~),
 qt-faststart (<< 7:2.7.1-3~)
Description: Tools for transcoding, streaming and playing of multimedia files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This package contains:
  * ffmpeg: a command line tool to convert multimedia files between formats
  * ffserver: a multimedia streaming server for live broadcasts
  * ffplay: a simple media player based on SDL and the FFmpeg libraries
  * ffprobe: a simple multimedia stream analyzer
  * qt-faststart: a utility to rearrange Quicktime files

Package: ffmpeg-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends:
 ffmpeg (= ${binary:Version}),
 libavcodec-ffmpeg56 (= ${binary:Version}) | libavcodec-ffmpeg-extra56 (= ${binary:Version}),
 libavdevice-ffmpeg56 (= ${binary:Version}),
 libavfilter-ffmpeg5 (= ${binary:Version}),
 libavformat-ffmpeg56 (= ${binary:Version}),
 libavutil-ffmpeg54 (= ${binary:Version}),
 libpostproc-ffmpeg53 (= ${binary:Version}),
 libavresample-ffmpeg2 (= ${binary:Version}),
 libswresample-ffmpeg1 (= ${binary:Version}),
 libswscale-ffmpeg3 (= ${binary:Version}),
 ${misc:Depends}
Description: Debug symbols for the FFmpeg multimedia framework
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This package contains the debug symbols used to produce useful debugging
 back-traces.

Package: ffmpeg-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-jquery,
 libjs-bootstrap,
 ${misc:Depends}
Description: Documentation of the FFmpeg multimedia framework
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This package contains the HTML documentation for the FFmpeg multimedia
 framework including the API documentation created by doxygen and the manpages
 for the libraries.

Package: libavcodec-ffmpeg56
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Breaks: libavutil-ffmpeg54 (>= 8:0)
Description: FFmpeg library with de/encoders for audio/video codecs - runtime files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic encoding/decoding framework and
 contains multiple decoders and encoders for audio, video and subtitle streams,
 and several bitstream filters.
 .
 The shared architecture provides various services ranging from bit stream I/O
 to DSP optimizations, and makes it suitable for implementing robust and fast
 codecs as well as for experimentation.
 .
 This package contains the runtime files.

Package: libavcodec-ffmpeg-extra56
Architecture: any
Section: libs
Priority: extra
Multi-Arch: same
Conflicts: libavcodec-ffmpeg56
Provides: libavcodec-extra
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Breaks: libavutil-ffmpeg54 (>= 8:0)
Description: FFmpeg library with additional de/encoders for audio/video codecs
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic encoding/decoding framework and
 contains multiple decoders and encoders for audio, video and subtitle streams,
 and several bitstream filters.
 .
 The shared architecture provides various services ranging from bit stream I/O
 to DSP optimizations, and makes it suitable for implementing robust and fast
 codecs as well as for experimentation.
 .
 This package replaces the libavcodec-ffmpeg56 package and contains the
 following additional codecs:
 .
  * OpenCORE Adaptive Multi-Rate (AMR) Narrow-Band (Encoder/Decoder)
  * OpenCORE Adaptive Multi-Rate (AMR) Wide-Band (Decoder)
  * Android VisualOn AAC (Encoder)
  * Android VisualOn Adaptive Multi-Rate (AMR) Wide-Band (Encoder)
 .
 Because this package links against libraries that are licensed under
 Apache License 2.0, the resulting binaries are distributed under the
 GPL version 3 or later.

Package: libavcodec-extra
Architecture: all
Section: metapackages
Priority: extra
Multi-Arch: foreign
Depends:
 libavcodec-ffmpeg-extra56,
 ${misc:Depends}
Description: FFmpeg library with extra codecs (metapackage)
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This metapackage depends on the latest version of the libavcodec variant
 that offers additional codec support. Application packages can depend
 on it if they require or suggest this variant in a robust manner.


Package: libavcodec-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Conflicts:
 libavcodec-libav-dev
Depends:
 libavcodec-ffmpeg56 (= ${binary:Version}) | libavcodec-ffmpeg-extra56 (= ${binary:Version}),
 libavutil-dev (= ${binary:Version}),
 libswresample-dev (= ${binary:Version}),
 ${misc:Depends}
Description: FFmpeg library with de/encoders for audio/video codecs - development files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic encoding/decoding framework and
 contains multiple decoders and encoders for audio, video and subtitle streams,
 and several bitstream filters.
 .
 The shared architecture provides various services ranging from bit stream I/O
 to DSP optimizations, and makes it suitable for implementing robust and fast
 codecs as well as for experimentation.
 .
 This package contains the development files.

Package: libavdevice-ffmpeg56
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Breaks: libavutil-ffmpeg54 (>= 8:0)
Description: FFmpeg library for handling input and output devices - runtime files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic framework for grabbing from and rendering to
 many common multimedia input/output devices, and supports several input and
 output devices, including Video4Linux2, VfW, DShow, and ALSA.
 .
 This package contains the runtime files.

Package: libavdevice-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Conflicts:
 libavdevice-libav-dev
Depends:
 libavcodec-dev (= ${binary:Version}),
 libavdevice-ffmpeg56 (= ${binary:Version}),
 libavfilter-dev (= ${binary:Version}),
 libavformat-dev (= ${binary:Version}),
 libavresample-dev (= ${binary:Version}),
 libavutil-dev (= ${binary:Version}),
 libpostproc-dev (= ${binary:Version}),
 libswscale-dev (= ${binary:Version}),

## ffmpeg 2.8.15

=== debian/changelog ===
ffmpeg (7:2.8.15-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * SECURITY UPDATE: New upstream bugfix release.
    - Fixes CVE-2018-7557, CVE-2018-12458 and CVE-2018-13302.

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Wed, 22 Aug 2018 12:59:03 -0300

ffmpeg (7:2.8.14-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * New upstream bugfix release. (LP: #1697785)
    - Fixes CVE-2017-9991, CVE-2017-9992, CVE-2017-9993, CVE-2017-9994,
      CVE-2017-9996, CVE-2017-11399, CVE-2017-11665, CVE-2017-14055,
      CVE-2017-14056, CVE-2017-14057, CVE-2017-14058, CVE-2017-14059,
      CVE-2017-14169, CVE-2017-14170, CVE-2017-14171, CVE-2017-14222,
      CVE-2017-14223, CVE-2017-14225, CVE-2017-15672, CVE-2017-17081.

 -- James Cowgill <jcowgill@debian.org>  Tue, 10 Apr 2018 14:49:07 +0100

ffmpeg (7:2.8.11-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * Import new upstream bugfix release 2.8.11. (LP: #1664403)
    Fixes CVE-2016-9561, CVE-2017-5024 and CVE-2017-5025.
  * Add new av_image_check_size2 symbol to libavutil55.symbols.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Tue, 14 Feb 2017 00:49:10 +0100

ffmpeg (7:2.8.10-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * New upstream bugfix release 2.8.10. (LP: #1647226)
    Fixes CVE-2016-7502, CVE-2016-7562, CVE-2016-7785 and CVE-2016-7905.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sat, 10 Dec 2016 17:41:36 +0100

ffmpeg (7:2.8.8-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * Import new upstream bugfix release 2.8.8. (LP: #1581156)
     - Fixes CVE-2016-6164 and CVE-2016-6881.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sat, 15 Oct 2016 16:58:13 +0200

ffmpeg (7:2.8.6-1ubuntu2) xenial; urgency=medium

  * No-change rebuild for zeromq3 transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Mar 2016 19:20:44 +0000

ffmpeg (7:2.8.6-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Compile with -O2 rather than -O3 on s390x, to work around
      https://bugs.launchpad.net/bugs/1526324.
  * Should fix LP: #1533367

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 25 Feb 2016 17:48:20 +0000

ffmpeg (7:2.8.4-1ubuntu4) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:41:03 +0000

ffmpeg (7:2.8.4-1ubuntu3) xenial; urgency=medium

  * No-change rebuild for x265 transition.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Feb 2016 09:46:11 +0000

ffmpeg (7:2.8.4-1ubuntu2) xenial; urgency=medium

  * Rebuild against libvpx3.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Jan 2016 00:55:36 +0000

ffmpeg (7:2.8.4-1ubuntu1) xenial; urgency=medium

  * Compile with -O2 rather than -O3 on s390x, to work around
    https://bugs.launchpad.net/bugs/1526324.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Dec 2015 03:15:28 +0000
